
using System;
using System.Collections.Generic;
using System.Linq;
using MonoMac.Foundation;
using MonoMac.AppKit;

namespace ReturnKeyTest
{
	public partial class MainWindowController : MonoMac.AppKit.NSWindowController
	{
		#region Constructors

		// Called when created from unmanaged code
		public MainWindowController (IntPtr handle) : base(handle)
		{
			Initialize ();
		}

		// Called when created directly from a XIB file
		[Export("initWithCoder:")]
		public MainWindowController (NSCoder coder) : base(coder)
		{
			Initialize ();
		}

		// Call to load from the XIB/NIB file
		public MainWindowController () : base("MainWindow")
		{
			Initialize ();
		}

		// Shared initialization code
		void Initialize ()
		{
		}

		#endregion

		//strongly typed window accessor
		public new MainWindow Window {
			get { return (MainWindow)base.Window; }
		}
		
		partial void pushClickMe (MonoMac.AppKit.NSButton sender)
		{
			NSAlert alert = new NSAlert();
			
			alert.MessageText = "You clicked me!";
			alert.RunModal();
		}
		
		[Export("windowWillClose:")]
		void windowWillClose(NSNotification aNotification)
		{
			Environment.Exit(0);	
		}
	}//class
}//namespace

